Submits utility billing data for specified places and periods to ENERGY STAR Portfolio Manager
Use this endpoint to initiate a data submission to Portfolio Manager. The system will gather
billing data for the specified places and periods and submit it to ENERGY STAR.
Requires ENERGY STAR to be configured. Requires ENERGY STAR Submissions Run permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
EnergyStarSubmissionRequest
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| places | List of places/submission periods to include in ENERGY STAR submission Required Cannot be Empty | EnergyStarSubmissionPlaceChild[] | |||||||||
|
EnergyStarSubmissionPlaceChild properties
|
|||||||||||
Example Request Body
{ "places": [
{ "placeId": 1, "submissionPeriods": [
1
]
}
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EnergyStarTaskResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| beginDate | The date the submission was initiated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyStarTaskId | The task identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| metricsRetrievalLogFileName | Filename of the log containing errors or alerts encountered during metrics retrieval | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| metricsRetrievalTaskStatus | Status for the metrics retrieval portion of the task | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| numberOfPlaces | The number of buildings in the submission | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| places | The list of buildings/submission periods in the submission | EnergyStarTaskPlaceChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EnergyStarTaskPlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionLogFileName | Filename of the log containing errors encountered during submission Will be null if this task is only for metrics retrieval or if there were no errors during submission | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionTaskStatus | Status for the submission portion of the task | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| submissionType | SubmissionTypeResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
SubmissionTypeResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| taskType | The task type | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| user | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "beginDate": "2026-06-29", "energyStarTaskId": 1, "metricsRetrievalLogFileName": "string", "metricsRetrievalTaskStatus": "string", "numberOfPlaces": 1, "places": [
{ "building": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "taskPeriods": [
{ "period": 1, "periodName": "string"
}
]
}
], "submissionLogFileName": "string", "submissionTaskStatus": "string", "submissionType": { "submissionTypeId": 1, "submissionTypeName": "string"
}, "taskType": "string", "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}